Page 1 of 1

Uno Api Compatiblity

PostPosted: Fri Feb 14, 2014 4:15 pm
by Jenthe_M
Hi

Is it possible that the Uno Api isn't compatible with the newest versions of LibreOffice anymore?

I use version 3.2.1 of org.openoffice.unoil, ridl, juh and jurt in my maven-configuration and version 4.1.2.3 of LibreOffice.

When I try to create a document in java I get the following error:
Caused by: com.sun.star.lang.DisposedException: java.io.IOException: com.sun.star.io.IOException: EOF reached - socket,host=localhost,port=8100,tcpNoDelay=1,localHost=localhost,localPort=58481,peerHost=localhost,peerPort=8100
at com.sun.star.lib.uno.bridges.java_remote.java_remote_bridge$MessageDispatcher.run(java_remote_bridge.java:158)


When I use an older version of LibreOffice e.g. 3.6.6.2, all works well.

Re: Uno Api Compatiblity

PostPosted: Fri Feb 14, 2014 5:45 pm
by roozgar
how about if you run libreoffice on port 2002 !?
my uno connecting to libreoffice 412 on port 2002 Instead 8100!!

Re: Uno Api Compatiblity

PostPosted: Mon Feb 17, 2014 3:02 pm
by Jenthe_M
Using port 2002 gives the same error. So it's not a matter of incompatibility?